Bug 25734 - NavigationBar.ToolbarItems.Add() crashes / breaks app in iOS7. works fine in iOS8.
Summary: NavigationBar.ToolbarItems.Add() crashes / breaks app in iOS7. works fine in ...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.0
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-06 03:04 UTC by Shane
Modified: 2015-01-23 10:50 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Shane 2015-01-06 03:04:36 UTC
nav.ToolbarItems.Add(new ToolbarItem("Preferences", "aaa", ()=>{ nav.DisplayAlert("Alert", "Preferences pressed.", "OK"); }));

breaks iOS7

Sample app here: https://github.com/shanempope/ios7Navigationpagebroken/tree/master/NavigationPageiOS7Broke

Forum post here: http://forums.xamarin.com/discussion/30337/navigationrenderer-navigationbar-items-empty-on-ios7-throws-indexoutofboundsexception?new=1
Comment 1 Atin 2015-01-06 05:49:59 UTC
I have checked this issue and able to reproduce this. To reproduce this issue I have followed the steps mention below:

1. Open attached test application in XS.
2. Build and deploy the application on iOS 7 device.
3. Observed that it deploy and shows a white blank page.

I observed that application is deploying on iOS 7 device but display nothing except white blank page. And its working fine on iOS 8 device and same as on iOS 8 simulator. Please have a look on the screencast.

Screencast(iOS 8 Emulator): http://www.screencast.com/t/wy09yiZKr7M
Screenshot(iOS7 Device): http://www.screencast.com/t/7H3mwr6OwaY1
Ide Logs: http://www.screencast.com/t/p12w0ko3kwfF
Application output: https://gist.github.com/Rajneesh360Logica/49f76340bdfc03b17660
Build Output: https://gist.github.com/Rajneesh360Logica/f98135b0f2661947c678
Device logs: https://gist.github.com/Rajneesh360Logica/e54b8f0776b01a30bd47

Environment Info:

=== Xamarin Studio ===

Version 5.5.4 (build 15)
Installation UUID: 011d70a5-dede-428b-ab04-ef451c2e539d
Runtime:
	Mono 3.10.0 ((detached/92c4884)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 310000031

=== Xamarin.Android ===

Version: 4.20.0.28 (Business Edition)
Android SDK: /Users/MM/Desktop/android-sdk-macosx
	Supported Android versions:
		2.1    (API level 7)
		2.2    (API level 8)
		2.3    (API level 10)
		3.1    (API level 12)
		3.2    (API level 13)
		4.0    (API level 14)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.7.0_65"
Java(TM) SE Runtime Environment (build 1.7.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)

=== Apple Developer Tools ===

Xcode 6.1 (6604)
Build 6A1052d

=== Xamarin.iOS ===

Version: 8.4.0.47 (Business Edition)
Hash: 7244769
Branch: 
Build date: 2014-12-11 14:54:30-0500

=== Xamarin.Mac ===

Version: 1.10.0.18 (Business Edition)

=== Build Information ===

Release ID: 505040015
Git revision: f93940a35458a18052f1a25e106e62ca970d9c40
Build date: 2014-11-19 15:32:41-05
Xamarin addins: dc23cbd91a3a0e1d326328e1229e86c942a49ec8

=== Operating System ===

Mac OS X 10.9.5
Darwin MacMini.local 13.4.0 Darwin Kernel Version 13.4.0
    Sun Aug 17 19:50:11 PDT 2014
    root:xnu-2422.115.4~1/RELEASE_X86_64 x86_64
Comment 2 Rui Marinho 2015-01-09 09:52:39 UTC
thanks, we found the issue it will be fixed in 1.3.2
Comment 3 Rajneesh Kumar 2015-01-23 10:50:22 UTC
I have checked this issue with the following builds:

Xamarin Studio Version 5.7.1 (build 14)
Installation UUID: 011d70a5-dede-428b-ab04-ef451c2e539d
Runtime:
Mono 3.12.0 ((detached/a813491)
GTK+ 2.24.23 (Raleigh theme)
Package version: 312000068
Apple Developer Tools Xcode 6.1 (6604)
Build 6A1052d
 Xamarin.iOS Version: 8.6.1.19 (Business Edition)
=== Build Information ===
Release ID: 507010014
Git revision: a4dd61ad7f8b3695be4b17bcb5c3ae6b81438cf7
Build date: 2015-01-19 15:21:09-05
Xamarin addins: 081208fe3bbf40e24a562867c6c7fba20a9b94b6
=== Operating System ===
Mac OS X 10.9.5
Darwin MacMini.local 13.4.0 Darwin Kernel Version 13.4.0
 Sun Aug 17 19:50:11 PDT 2014
 root:xnu-2422.115.4~1/RELEASE_X86_64 x86_64

Xamarin.Forms Version: 1.3.2.6299-pre1

I observed that this issue is working fine with iOS 7.1 device and simulator. Here is the screencast for the same.

Screencast(Simulator iOS 7.1): http://www.screencast.com/t/bILGPbCdTlnA
Screen shoot(Device iOS 7.1): http://www.screencast.com/t/tUSsdZ5rwDn

This issue has been fixed, hence closing this issue.